<h1 mat-dialog-title> test Dfa </h1>

<form #f="ngForm" id="form"  >
  <div mat-dialog-content ng-controller="ExampleController">
    <mat-form-field class="mb-2">
      <mat-label>Dfa</mat-label>
      <input matInput #df="ngModel" required name="dfa" [(ngModel)]="dfa">
      <mat-error *ngIf="df.nvalid">{{getErrorMessage()}}</mat-error>

    </mat-form-field>
   
 
  </div>
  
  <div mat-dialog-actions>
    <button mat-button (click)="onNoClick()">No Thanks</button>
    <!--<button mat-button (click)="conect()" routerLink="['/test_produit']" routerLinkActive="active" cdkFocusInitial close>Ok</button>-->
  </div>
  
</form>